org.codehaus.groovy.transform.stc

## Class StaticTypeCheckingVisitor.SignatureCodecFactory

- java.lang.Object
- - org.codehaus.groovy.transform.stc.StaticTypeCheckingVisitor.SignatureCodecFactory

Enclosing class:
  StaticTypeCheckingVisitor

    protected static class StaticTypeCheckingVisitor.SignatureCodecFactory
    extends java.lang.Object

### Constructor Summary

Constructors
`protected` `StaticTypeCheckingVisitor.SignatureCodecFactory()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StaticTypeCheckingVisitor.SignatureCodecFactory

    protected StaticTypeCheckingVisitor.SignatureCodecFactory()